shape.hh File Reference
`#include <set>`
`#include <mia/core/product_base.hh>`
`#include <mia/core/type_traits.hh>`
`#include <mia/core/utils.hh>`
Include dependency graph for core/shape.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | shape_type
class | TShape< T, M >
| a generic class for morphological shapes More...

## Macros

#define | EXPORT_SHAPE

## Macro Definition Documentation

## EXPORT_SHAPE

#define EXPORT_SHAPE

Definition at line 35 of file core/shape.hh.